@echo off
if .%1. == .. goto nospec
if not exist %1\NUL goto nodir

rem
rem Restore the current championship season
rem

if exist %1\season.bin copy %1\season.bin .

rem
rem For each track, restore that track's data
rem

cd tracks
for %%t in (austral clevland detroit elkhart laguna longbch michigan midohio) do call ..\resttrk %1 %%t
for %%t in (mlwaukee nazareth nwenglnd phoenix portland toronto vancouvr) do call ..\resttrk %1 %%t
cd ..

goto end

:nospec
echo usage: restall [directory]
goto end

:nodir
echo The directory %1 must exist.

:end
